(defun C:wildotqs ()
  (command "undo" "mark")
  (command "attdia" "0")
  (command "setvar" "ucsfollow" "0" "ucs" "world")
  (setq cau (getvar "aunits"))		;Save current
  (command "setvar" "aunits" "0")	;Reset angular units to decimal
  (setq	olddate	(ssget "X" (list (cons 2 "wildotQS")))
	cla	(getvar "CLAYER")	;Current layer
	b	(entget (ssname olddate 0))
	bla	(cdr (assoc 8 b))	;Insertion Layer
	ip	(cdr (assoc 10 b))	;Insertion Point
	xsc	(cdr (assoc 41 b))	;Insertion X Scale
	ysc	(cdr (assoc 42 b))	;Insertion Y Scale
	ra	(angtos (cdr (assoc 50 b)))
  )					;Rotation Angle
  (entdel (cdr (assoc -1 b)))		;delete old block
  (setq PATHname (getvar "DWGPREFIX"))
  (SETQ	FILENAME (GETVAR "DWGNAME")
	cd	 (rtos (getvar "CDATE") 2 6)
	cdate	 (strcat (substr cd 5 2)
			 "/"
			 (substr cd 7 2)
			 "/"
			 (substr cd 3 2)
		 )
	time	 (strcat (substr cd 10 2) ":" (substr cd 12 2))
	
      
  )
  (command "LAYER" "S" bla "")		;Set Current Layer to block's
					;Original Layer
  (setq len1 (+ (strlen pathname) 1))
  (setq newpath (strcat PATHname ""))
      (SETQ newfile (GETVAR "DWGNAME"))
  
     (SETQ newdate CDATE)
  (setq xnn (STRCAT TIME " xref ="))
  (setq count (tblnext "block" 1))
  (while count
    (setq xn (cdr (assoc 1 count)))
    (setq xn2 (cdr (assoc 2 count)))
    (if	xn
      (setq xnn (strcat xnn "  " xn2))
      (setq xn 0)
    )
    (setq count (tblnext "block"))
  )
  (setq xnn (strcase xnn))
  (command "INSERT" "wildotQS" ip xsc ysc ra newdate newfile newpath xnn)
  (command "LAYER" "S" cla "")		;Reset Layer to original
  (command "ucs" "prev")
  (command "SETVAR" "AUNITS" cau)
)
